Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1872870

Summary: perl-Data-Validate-IP build for EPEL7
Product: [Fedora] Fedora EPEL Reporter: Tim Jackson <rpm>
Component: perl-Data-Validate-IPAssignee: Scott Talbert <swt>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: perl-devel, swt
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: perl-Data-Validate-IP-0.27-13.el7 perl-Data-Validate-IP-0.27-13.el6 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-09-10 17:22:51 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Tim Jackson 2020-08-26 18:59:46 UTC
awstats has grown a dependency on perl-Data-Validate-IP, which exists in EPEL8 but not previous releases.

Please could you consider building for at least EPEL7?

(although EPEL6 is close to end-of-life, we could potentially also issue a final awstats update on that branch too, if perl-Data-Validate-IP was built).

I have already tested by successfully building and installing the latest version from the master branch (perl-Data-Validate-IP-0.27-13) on both EPEL7 and EL6 without problems, or needing to make any changes to the spec.

Comment 1 Fedora Update System 2020-08-27 00:15:12 UTC
FEDORA-EPEL-2020-e273f57dc9 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e273f57dc9

Comment 2 Fedora Update System 2020-08-27 00:26:11 UTC
FEDORA-EPEL-2020-4fec85b1f3 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4fec85b1f3

Comment 3 Fedora Update System 2020-08-27 14:31:46 UTC
FEDORA-EPEL-2020-e273f57dc9 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e273f57dc9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-08-27 14:40:37 UTC
FEDORA-EPEL-2020-4fec85b1f3 has been pushed to the Fedora EPEL 6 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4fec85b1f3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Tim Jackson 2020-08-27 19:15:21 UTC
Thanks!

Comment 6 Fedora Update System 2020-09-10 17:22:51 UTC
FEDORA-EPEL-2020-e273f57dc9 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-09-10 17:37:59 UTC
FEDORA-EPEL-2020-4fec85b1f3 has been pushed to the Fedora EPEL 6 stable repository.
If problem still persists, please make note of it in this bug report.